org.eclipse.rdf4j.query.parser.sparql.manifest

## Class SPARQL11QueryComplianceTest

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest
  - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest
    - - org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQL11QueryComplianceTest

-     public abstract class SPARQL11QueryComplianceTest
      extends SPARQLQueryComplianceTest

  A test suite that runs the W3C Approved SPARQL 1.1 query tests.
  Author:
    Jeen Broekstra
  See Also:
    `https://www.w3.org/2009/sparql/docs/tests/`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest

      `SPARQLQueryComplianceTest.SPARQLQueryTestManifest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQL11QueryComplianceTest(String displayName, String testURI, String name, String queryFileURL, String resultFileURL, Dataset dataset, boolean ordered)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<Object[]>` | `data()`
    `protected static URL` | `getManifestURL()`
    `protected static Object[][]` | `getTestData()`
    `void` | `setUp()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLQueryComplianceTest

      `getDataRepository, newRepository, runTest, tearDown`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.sparql.manifest.SPARQLComplianceTest

      `addIgnoredTest, compareGraphs, getDisplayName, getIgnoredTests, getName, getTestURI, includeSubManifest, printBindingSet, setIgnoredTests, test, upload, uploadDataset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPARQL11QueryComplianceTest

          public SPARQL11QueryComplianceTest(String displayName,
                                             String testURI,
                                             String name,
                                             String queryFileURL,
                                             String resultFileURL,
                                             Dataset dataset,
                                             boolean ordered)

  - ### Method Detail

    - #### data

          public static Collection<Object[]> data()

    - #### getTestData

          protected static Object[][] getTestData()

    - #### getManifestURL

          protected static URL getManifestURL()

    - #### setUp

          public void setUp()
                     throws Exception

      Overrides:
        `setUp` in class `SPARQLQueryComplianceTest`
      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.